# coding: utf-8
from optparse import make_option
from django.core.management import BaseCommand
from celery_balancer.api import BalancerApi


class Command(BaseCommand):
    help = u'Запуск балансировщика celery обработчиков'
    args = u''
    option_list = BaseCommand.option_list + (
        make_option(
            u'-e',
            u'--error_log_file',
            dest=u'error_log_file',
            default=u'',
            help=u'Name of error log file',
            metavar=u'FILENAME',
        ),
        make_option(
            u'-i',
            u'--info_log_file',
            dest=u'info_log_file',
            default=u'',
            help=u'Name of info log file',
            metavar=u'FILENAME',
        ),
        make_option(
            u'-l',
            u'--logs_path',
            dest=u'logs_path',
            default=u'',
            help=u'Path to folder with logs',
            metavar=u'PATH',
        ),
        make_option(
            u'-L',
            u'--log_level',
            dest=u'log_level',
            default=u'info',
            help=u'Log level: "info" or "error".',
            metavar=u'LEVEL',
        ),
    )

    def handle(self, *args, **options):
        error_log_file = options[u'error_log_file']
        info_log_file = options[u'info_log_file']
        logs_path = options[u'logs_path']
        log_level = options[u'log_level']
        BalancerApi(
            error_log_file, info_log_file, logs_path, log_level
        ).start_balancer()