# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding field 'Server.port'
        db.add_column('celery_balancer_server', 'port', self.gf('django.db.models.fields.PositiveIntegerField')(default=22), keep_default=False)


    def backwards(self, orm):
        
        # Deleting field 'Server.port'
        db.delete_column('celery_balancer_server', 'port')


    models = {
        'celery_balancer.queue': {
            'Meta': {'object_name': 'Queue'},
            'decision_interval': ('django.db.models.fields.IntegerField', [], {'default': '60'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '256'}),
            'priority': ('django.db.models.fields.PositiveIntegerField', [], {'default': '1'})
        },
        'celery_balancer.server': {
            'Meta': {'object_name': 'Server'},
            'host': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'max_load_avg_1': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True'}),
            'max_load_avg_15': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True'}),
            'max_load_avg_5': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True'}),
            'max_mem': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True'}),
            'max_swp': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '256'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'port': ('django.db.models.fields.PositiveIntegerField', [], {'default': '22'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'workers': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['celery_balancer.Worker']", 'null': 'True', 'through': "orm['celery_balancer.ServerWorkerM2M']", 'symmetrical': 'False'})
        },
        'celery_balancer.serverworkerm2m': {
            'Meta': {'object_name': 'ServerWorkerM2M', 'db_table': "'celery_balancer_server_worker_m2m'"},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'server': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['celery_balancer.Server']"}),
            'worker': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['celery_balancer.Worker']"})
        },
        'celery_balancer.worker': {
            'Meta': {'object_name': 'Worker'},
            'expected_proc_cnt': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_decision_datetime': ('django.db.models.fields.DateTimeField', [], {'null': 'True'}),
            'last_on_off_datetime': ('django.db.models.fields.DateTimeField', [], {'null': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '256'}),
            'queue': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['celery_balancer.Queue']"})
        }
    }

    complete_apps = ['celery_balancer']
